@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

html{
    
    font-family: "Inter", sans-serif;
}

body{
    background: linear-gradient(135deg, #e3f2fd ,#ffffff);
}
/* univarsal selector */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.logo{
    width: 100%;
    height: 30vh;
    background-color: brown;
    text-align: center;
    display: grid;
    align-items: center;
}

.logo::before{
    content: "Sarkari Networker";
    font-size: 3rem;
    color: white;
    font-weight: bold;
    
    
}

.header_1{
     position: relative;
    width: 100%;
    min-height: 10vh;
    display: grid;
    align-items: center;
    background-color: rgba(0, 255, 255, 0.136);
    
}


#menuicon{
     position: absolute;  
    font-size: 1.8rem;
    left: 1rem;

    display: none;
   
   
 
}


#cross{
    font-size: 2.5rem;
    position: absolute;
    top: 0.8rem;
    left: 2rem;
}


#cross{
    display: none;
    

}


#menuicon::after{
    content: "Menu";
    letter-spacing: 0.2rem;
    position: absolute;
    left: 1.8rem;
    top: 0.2rem;
    font-size: 1.5rem;
    
}


.header_1 .nav_1 .ul_1{
    display: flex;
    justify-content: space-evenly;
     

}

.header_1 .nav_1 .ul_1  li{
    list-style-type: none;
    

}

.header_1 .nav_1 .ul_1  li a{
    
 text-decoration: none;
 font-weight: bold;
 padding: 0.5rem;
 border-radius: 0.5rem;
 transition-property: all;
transition-duration: 0.3s;
transition-timing-function: ease-in;
}


.header_1 .nav_1 .ul_1  li a:hover{
    background-color: gray;
    color: white;
    

}

.section_1 h1{
    text-align: center;
    
}
strong{
    
}

.section_1 p{
    margin-left: 2rem;
}

.section_1 ul{
    text-align: center;
}

.section_1 ul li{
  margin-top: 1rem;
}









footer{
    height: 30vh;
    background-color: rgba(128, 128, 128, 0.564);
    display: grid;
    align-items: center
}

footer .ul_2{
    display: flex;
    justify-content: space-evenly;
    
}


footer .ul_2 li {
   list-style-type: none;
   
}

footer .ul_2 li a{
    text-decoration: none;
    color: white;
   
}

#logoicon{
    font-size: 1.5rem;
}


.contect{
    text-align: center;
}




/* response to media query for responsive design  */


@media screen and (max-width:1040px){


   .header_1 .nav_1 .ul_1 li a{
    font-size: 1.5vw;
   }
    


}



@media screen and (max-width:997px){
     
   .header_1{
    height: auto;
   }


   #nav1{
   display: none;
   

   }

   

   
   .header_1 .nav_1 .ul_1 li a{
    font-size: 1rem
   }



   #menuicon{
   
     display: block;
    position: absolute;
    top: 1rem; 
   
   }

   .header_1 .nav_1 .ul_1{
    flex-direction: column;
    display: grid;
    justify-content: center;
    margin-top: 3rem;
  
   }



   .header_1 .nav_1 .ul_1 li {
     margin-top: 1rem;
   }



   

.article_1 .section_1 .more1  {
    display: grid;
    grid-template-columns: repeat(1,1fr);
    margin: 2rem 2rem;
    gap: 2rem;
   width: 10rem;
   
   
}




.article_1 .section_1   {
    display: grid;
    justify-content: center;

  
   
}




}




@media screen and (max-width:669px){
         
.article_1 .section_1 .more1  {
    display: grid;
    grid-template-columns: repeat(1,1fr);
    margin: 2rem 2rem;
    gap: 2rem;
   width: 10rem;
   
}


}














@media screen and (max-width:480px){
         
.article_1 .section_1 .more1  {
    display: grid;
    grid-template-columns: repeat(1,1fr);
    margin: 2rem 2rem;
    gap: 2rem;
   width: 10rem;
   
}
















   
}
